Bug 214234 - (pear-Net-DIME) Review Request: php-pear-Net-DIME - Implements Direct Internet Message Encapsulation (DIME)
Review Request: php-pear-Net-DIME - Implements Direct Internet Message Encaps...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT php-pear-SOAP
  Show dependency treegraph
 
Reported: 2006-11-06 13:39 EST by Remi Collet
Modified: 2008-12-01 16:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-14 14:43:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-11-06 13:39:27 EST
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-DIME.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-DIME-0.3-1.fc6.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/php-pear-Net-DIME-build.log
Description: 
This is the initial independent release of the Net_DIME package.
Provides an implementation of "Direct Internet Message Encapsulation" (DIME) 
as defined at http://search.ietf.org/internet-drafts/draft-nielsen-dime-02.txt

Note : this specification has been superseded by the SOAP Message Transmission
Optimization Mechanism (MTOM) specification.


-----

I know it's only a beta version
I know this extension seems dead.
dime_message_test.php seems ok
dime_record_test.php seems KO.

I know the protocol is "superseded" (it's why i add the note in the desc.)
but i need it for the SOAP extension (which only use  Net_DIME_Message).
Comment 1 Christopher Stone 2006-11-10 21:55:23 EST
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guidelines
- spec filename matches package %{name}
- package meets packaging guidelines
- package licensed with open source compatible license
- license matches actual license
- license file included in %doc
- spec file written in American english
- spec file legible
- sources match upstream
5e740eff36c049f4dcb348c6fb24da11  Net_DIME-0.3.tgz
- successfully compiles and builds on FC5 x86_64
- all build dependencies listed in BR
- no locales
- does not store a shared library
- package is not relocatable
- package owns all directories it creates
- no duplicates listed in %files
- file permissions set properly
- contains proper %clean section
- macro usage is consistent
- package contains code
- no large documentation files
- no header files or static libraries
- no pkgconfig files
- no devel subpackage required
- no .la files
- not a GUI app needing a .desktop file
- package does not own files or directories owned by other packages

APPROVED
Comment 2 Remi Collet 2008-12-01 11:10:04 EST
Package Change Request
======================
Package Name: pear-Net-DIME
New Branches: EL-5
Owners: remi
Comment 3 Remi Collet 2008-12-01 11:12:57 EST
Fix typo in previous request :

Package Change Request
======================
Package Name: php-pear-Net-DIME
New Branches: EL-5
Owners: remi
Comment 4 Kevin Fenzi 2008-12-01 16:54:07 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.